# Example Implementations

{% tabs %}
{% tab title="TicketMaster Login" %}

```python
import requests

API_KEY = ""

nudata_header = requests.get(
    "https://nudata.takionapi.tech/generate", 
    params={
        "url":"https://nudata.ticketmaster.com/2.2/w/w-481390/sync/js/",
        "api_key": API_KEY
    }
).json()["result"]

response = requests.post(
    "https://auth.ticketmaster.com/json/sign-in", 
    json={
        "email": "exampleuser@gmail.com",
        "password": "example!",
        "rememberMe": False,
        "externalUserToken": None
    }, 
    headers={
        "accept": "*/*",
        "accept-language": "en-us",
        "content-type": "application/json",
        "nds-pmd": nudata_header, # We are passing nudata header
        "origin": "https://auth.ticketmaster.com",
        "priority": "u=1, i",
        "referer": "https://auth.ticketmaster.com/as/authorization.oauth2?client_id=8bf7204a7e97.web.ticketmaster.us&response_type=code&scope=openid%20profile%20phone%20email%20tm&redirect_uri=https://identity.ticketmaster.com/exchange&visualPresets=tm&lang=en-us&placementId=mytmlogin&hideLeftPanel=false&integratorId=prd1741.iccp&intSiteToken=tm-us&TMUO=east_Yy+wr1Nf+xmww4O9ewBePc8SMn3/TKSDNBl6qJi7Lxk=&deviceId=xgSNBg0DvDU3NDc6OjY2Njo9Mz1i4D%2FZ9cE4fQ&doNotTrack=true",
        "sec-ch-ua": '"Google Chrome";v="129", "Not=A?Brand";v="8", "Chromium";v="129"',
        "sec-ch-ua-mobile": "?0",
        "sec-ch-ua-platform": "\"macOS\"",
        "sec-fetch-dest": "empty",
        "sec-fetch-mode": "cors",
        "sec-fetch-site": "same-origin",
        "tm-client-id": "8bf7204a7e97.web.ticketmaster.us",
        "tm-integrator-id": "prd1741.iccp",
        "tm-oauth-type": "tm-auth",
        "tm-placement-id": "mytmlogin",
        "tm-site-token": "tm-us",
        "user-agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/129.0.0.0 Safari/537.36"
    }
)

print(response.text)
```

{% endtab %}

{% tab title="Comparison with and without header" %}

```python
import requests

API_KEY = ""

def test_without_nudata():
    return requests.post(
        "https://auth.ticketmaster.com/json/sign-in", 
        json={
            "email": "exampleuser@gmail.com",
            "password": "example!",
            "rememberMe": False,
            "externalUserToken": None
        }, 
        headers={
            "accept": "*/*",
            "accept-language": "en-us",
            "content-type": "application/json",
            # "nds-pmd": , We are not passing nudata header
            "origin": "https://auth.ticketmaster.com",
            "priority": "u=1, i",
            "referer": "https://auth.ticketmaster.com/as/authorization.oauth2?client_id=8bf7204a7e97.web.ticketmaster.us&response_type=code&scope=openid%20profile%20phone%20email%20tm&redirect_uri=https://identity.ticketmaster.com/exchange&visualPresets=tm&lang=en-us&placementId=mytmlogin&hideLeftPanel=false&integratorId=prd1741.iccp&intSiteToken=tm-us&TMUO=east_Yy+wr1Nf+xmww4O9ewBePc8SMn3/TKSDNBl6qJi7Lxk=&deviceId=xgSNBg0DvDU3NDc6OjY2Njo9Mz1i4D%2FZ9cE4fQ&doNotTrack=true",
            "sec-ch-ua": '"Google Chrome";v="129", "Not=A?Brand";v="8", "Chromium";v="129"',
            "sec-ch-ua-mobile": "?0",
            "sec-ch-ua-platform": "\"macOS\"",
            "sec-fetch-dest": "empty",
            "sec-fetch-mode": "cors",
            "sec-fetch-site": "same-origin",
            "tm-client-id": "8bf7204a7e97.web.ticketmaster.us",
            "tm-integrator-id": "prd1741.iccp",
            "tm-oauth-type": "tm-auth",
            "tm-placement-id": "mytmlogin",
            "tm-site-token": "tm-us",
            "user-agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/129.0.0.0 Safari/537.36"
        }
    )

def test_with_nudata():
    nudata_header = requests.get(
        "https://nudata.takionapi.tech/generate", 
        params={
            "url": "https://nudata.ticketmaster.com/2.2/w/w-481390/sync/js/",
            "api_key": API_KEY
        }
    ).json()["result"]
    return requests.post(
        "https://auth.ticketmaster.com/json/sign-in", 
        json={
            "email": "exampleuser@gmail.com",
            "password": "example!",
            "rememberMe": False,
            "externalUserToken": None
        }, 
        headers={
            "accept": "*/*",
            "accept-language": "en-us",
            "content-type": "application/json",
            "nds-pmd": nudata_header, # We are passing nudata header
            "origin": "https://auth.ticketmaster.com",
            "priority": "u=1, i",
            "referer": "https://auth.ticketmaster.com/as/authorization.oauth2?client_id=8bf7204a7e97.web.ticketmaster.us&response_type=code&scope=openid%20profile%20phone%20email%20tm&redirect_uri=https://identity.ticketmaster.com/exchange&visualPresets=tm&lang=en-us&placementId=mytmlogin&hideLeftPanel=false&integratorId=prd1741.iccp&intSiteToken=tm-us&TMUO=east_Yy+wr1Nf+xmww4O9ewBePc8SMn3/TKSDNBl6qJi7Lxk=&deviceId=xgSNBg0DvDU3NDc6OjY2Njo9Mz1i4D%2FZ9cE4fQ&doNotTrack=true",
            "sec-ch-ua": '"Google Chrome";v="129", "Not=A?Brand";v="8", "Chromium";v="129"',
            "sec-ch-ua-mobile": "?0",
            "sec-ch-ua-platform": "\"macOS\"",
            "sec-fetch-dest": "empty",
            "sec-fetch-mode": "cors",
            "sec-fetch-site": "same-origin",
            "tm-client-id": "8bf7204a7e97.web.ticketmaster.us",
            "tm-integrator-id": "prd1741.iccp",
            "tm-oauth-type": "tm-auth",
            "tm-placement-id": "mytmlogin",
            "tm-site-token": "tm-us",
            "user-agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/129.0.0.0 Safari/537.36"
        }
    )

if __name__ == "__main__":
    print("Response without nudata header:", test_without_nudata().status_code)
    response = test_with_nudata()
    print("Response with nudata header:", response.status_code, " / ", response.json())
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.takionapi.tech/nudata/examples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
